Package org.eclipse.ui.views.navigator

## Class ResourceNavigatorMoveAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.BaseSelectionListenerAction
        - - org.eclipse.ui.actions.SelectionListenerAction
          - - org.eclipse.ui.actions.CopyResourceAction
            - - org.eclipse.ui.actions.MoveResourceAction
              - - org.eclipse.ui.views.navigator.ResourceNavigatorMoveAction

All Implemented Interfaces:
  `IAction`, `ISelectionChangedListener`, `ISelectionValidator`

    @Deprecated
    public class ResourceNavigatorMoveAction
    extends MoveResourceAction

Deprecated.
as of 3.5, use the Common Navigator Framework classes instead
The ResourceNavigatorMoveAction is a resource move that aso updates the navigator to show the result of the move. It also delegates to MoveProjectAction as needed.

Since:
  2.0

### Field Summary

### Fields inherited from class org.eclipse.ui.actions.MoveResourceAction

`destinations, ID`

### Fields inherited from class org.eclipse.ui.actions.CopyResourceAction

`operation, shellProvider`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`ResourceNavigatorMoveAction​(Shell shell, StructuredViewer structureViewer)` Deprecated. Create a ResourceNavigatorMoveAction and use the supplied viewer to update the UI.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `run()` Deprecated. The default implementation of this `IAction` method does nothing.
`protected boolean` `updateSelection​(IStructuredSelection selection)` Deprecated. The `CopyResourceAction` implementation of this `SelectionListenerAction` method enables this action only if all of the one or more selections are sibling resources which are local (depth infinity).

### Methods inherited from class org.eclipse.ui.actions.MoveResourceAction

`createOperation, getDestinations, getResources, runOperation`

### Methods inherited from class org.eclipse.ui.actions.CopyResourceAction

`getModelProviderIds, getNewNameFor, isValid, setModelProviderIds`

### Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction

`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceNavigatorMoveAction

    public ResourceNavigatorMoveAction​(Shell shell,
                                       StructuredViewer structureViewer)

Deprecated.
Create a ResourceNavigatorMoveAction and use the supplied viewer to update the UI.

Parameters:
  `shell` - Shell
  `structureViewer` - StructuredViewer

### Method Detail

#### run

    public void run()

Deprecated.
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `MoveResourceAction`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`

#### updateSelection

    protected boolean updateSelection​(IStructuredSelection selection)

Deprecated.
Description copied from class: `CopyResourceAction`
The `CopyResourceAction` implementation of this `SelectionListenerAction` method enables this action only if all of the one or more selections are sibling resources which are local (depth infinity).

Overrides:
  `updateSelection` in class `CopyResourceAction`
Parameters:
  `selection` - the new selection
Returns:
  `true` if the action should be enabled for this selection, and `false` otherwise